Name:		xwine
Version:	1.0.1
Release:	%mkrel 1
Summary:	Graphical User Interface for Wine
Source0:	%{name}-%{version}.tar.bz2
#Patch1:		xwine-0.3.2_fixes.patch.bz2
#Patch2:		xwine-0.3.2_wineversion.patch.bz2
License:	GPL
Group:		Emulators
URL:		http://darken33.free.fr/index.php?cat=2
Requires:	wine
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libgnome-devel
BuildRequires:	kdelibs-common
#BuildRequires: libgtk+1.2-devel
#Do not think it makes sense to build this on other arches:
ExclusiveArch:	%{ix86} ppc sparc

%description 
XWine is a graphical user interface for the Wine package.
With this program you can configure and run Windows applications.

%prep
%setup -q
#%patch1 -p1 -b .danny
#%patch2 -p1 -b .version
#mv menu menu-bah

%build
#we use $BROWSER, so disable the interactive configure:
#cp -f configure.d configure
#cp -f src/donnees.h.in donnees.h

%configure2_5x
%make
perl -pi -e "s#\\$\\(mkinstalldirs\\) /etc/\\$\\(PACKAGE\\)/apps;##g" Makefile

%install
rm -rf $RPM_BUILD_ROOT
# desktopfile:
install -m644 menu/xwine.desktop -D %{buildroot}%{_datadir}/applnk/Applications/xwine.desktop
%makeinstall_std

# icons
install -m644 -D pixmaps/xwine_48.png %{buildroot}%{_liconsdir}/xwine.png
install -m644 -D pixmaps/xwine_32.png %{buildroot}%{_iconsdir}/xwine.png
install -m644 -D pixmaps/xwine_16.png %{buildroot}%{_miconsdir}/xwine.png

# Menu
mkdir -p %{buildroot}%{_menudir}
kdedesktop2mdkmenu.pl XWine "Applications/Emulators" %{buildroot}%{_datadir}/applnk/Applications/xwine.desktop %{buildroot}/%{_menudir}/xwine

rm -Rf %{buildroot}%{_datadir}/doc/xwine

%post
%{update_menus}
 
%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/xwine
%{_datadir}/pixmaps/xwine
%{_datadir}/applnk/Applications/xwine.desktop
%{_datadir}/xwine
%{_miconsdir}/xwine.png
%{_liconsdir}/xwine.png
%{_iconsdir}/xwine.png
%{_menudir}/*
%doc doc/*

%changelog
* Mon Aug 22 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.1-1mdk
- 1.0.1 (fixes #17748)
- drop P1 & P2
- %%mkrel
- wipe out buildroot in %%install, not %%prep
- cleanups

* Sat Dec 04 2004 Franck Villaume <fvill@freesurf.fr> 0.3.2-3mdk
- fix URL
- add BuildRequires

* Tue Aug 31 2004 Danny Tholen <obiwan@mailmij.org> 0.3.2-2mdk
- rebuild
- fix wine version checking
- small bugfix with finding background

* Wed Mar 17 2004 Danny Tholen <obiwan@mailmij.org> 0.3.2-1mdk
- new version
- update fixes for spelling errors (patch 1)
- workaround the Makefile attempt to write outside buildtree for desktopfile
- create menu from desktopfile now
- TODO: support for our native mode wine
- use new icons

* Fri Jun 20 2003 Danny Tholen <obiwan@mailmij.org> 0.3.1r1-1mdk
- new version
- lower case name is better

* Sun May 25 2003 Danny Tholen <obiwan@mailmij.org> 0.3.1-1mdk
- New version, some patches were accepted upstream
- Menu entry moved to Applications/Emulators
- Some new language and path fixes

* Sun Feb 9 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- from Danny Tholen <obiwan@mailmij.org>
  - First mdk release
  - hack for using environment var. BROWSER (patch1)
  - patch check for wine (patch2)
  - replace icon with wine icon (original could be trademarked?)
  - fix segfaults, hardcoded doc path, icon and various english translations (patch3)
